
TYPO3.Flow - Bug # 9557

Status: Rejected Priority: Should have
Author: Bastian Waidelich Category: Persistence
Created: 2010-09-01 Assigned To: Christian Müller
Updated: 2012-03-14 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.0.0
Subject: It's possible to persist multiple entities with the same identity properties
Description

I annotated the "email" property of my test model with an @identity annotation. Now I would expect the persistence layer to prevent
me from storing multiple instances with the same email in a repository.
But that's not the case. Is that a (missing) feature or a bug?

Related issues:
related to TYPO3.Flow - Feature # 29547: @identity should make property uniqu... Resolved 2012-04-30

History
#1 - 2010-09-26 22:22 - Karsten Dambekalns

Missing feature, it should do that.

#2 - 2010-10-15 08:49 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version set to 1.0 alpha 13

#3 - 2010-11-16 16:42 - Karsten Dambekalns
- Target version changed from 1.0 alpha 13 to 1.0 alpha 14

#4 - 2011-08-29 21:37 - Karsten Dambekalns
- Target version changed from 1.0 alpha 14 to 1230

#5 - 2011-10-20 01:43 - Karsten Dambekalns
- Target version deleted (1230)

#6 - 2011-10-21 13:20 - Karsten Dambekalns
- Affected Flow version set to FLOW3 1.0.0

#7 - 2012-03-14 12:47 - Christian Müller
- Assigned To changed from Karsten Dambekalns to Christian Müller
- Has patch set to No

#8 - 2012-03-14 15:19 - Christian Müller
- Status changed from Accepted to Rejected

I will drop this ticket in favor of #29547 which is more concise in its title. The issue is the same.
